---
title: "close"
excerpt: "Construct a line segment from the current origin back to the profile's"
layout: manual
---

Construct a line segment from the current origin back to the profile's

origin, ensuring the resulting 2-dimensional sketch is not open-ended.

```js
close(sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | The sketch you want to close | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) | Create a new tag which refers to this line | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [10, 10])
  |> line(end = [10, 0])
  |> close()
  |> extrude(length = 10)
```

![Rendered example of close 0](data:image/png;base64,[encoded data, 73616 characters])

```js
exampleSketch = startSketchOn('-XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [10, 0])
  |> line(end = [0, 10])
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of close 1](data:image/png;base64,[encoded data, 97916 characters])


